#include <bits/stdc++.h>
using namespace std;
long long n, x[100500], sol , c;
bool zi = true;
vector<int> y;
map<int, int> z;
int main()
{
    scanf("%lld", &n);

    y.resize(n + 10);

    for(int i = 1; i <= n; i++)
        scanf("%lld", &x[i]);
    for(int i = 1; i <= n; i++)
        scanf("%lld", &y[i]);
    for(int i = 1; i <= n; i++)
    {
        scanf("%lld", &c);
        z[c]++;
    }

    for(int i = 1; i <= n; i++)
    {
        for(int j = 1; j <= n; j++)
        {
            if(x[i] == y[j])
            {
                sol += z[j];
            }
        }
    }

    printf("%lld", sol);

    return 0;
}